import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional()
}).strict();
export const ShoppingVendorAvgAggregateInputObjectSchema: z.ZodType<Prisma.ShoppingVendorAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorAvgAggregateInputType>;
export const ShoppingVendorAvgAggregateInputObjectZodSchema = makeSchema();
